Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 999763

Summary: fail to create VPC file format disk with large size using qemu-img
Product: Red Hat Enterprise Linux 6 Reporter: Sibiao Luo <sluo>
Component: qemu-kvmAssignee: Jeff Cody <jcody>
Status: CLOSED WONTFIX QA Contact: Virtualization Bugs <virt-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.5CC: acathrow, bsarathy, chayang, jcody, juzhang, kwolf, michen, mkenneth, qzhang, virt-maint, xfu
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1058145 (view as bug list) Environment:
Last Closed: 2014-06-11 18:40:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1058145    

Description Sibiao Luo 2013-08-22 04:48:50 UTC
Description of problem:
As we have backport support for vhd(x) image format to rhel6.5, refer to bug 963420, but fail to create VHD(X) format disk files over 127GB using qemu-img.
btw, also tried rhel7.0 witch has no such issue.

Version-Release number of selected component (if applicable):
host info:
# uname -r && rpm -q qemu-kvm-rhev
2.6.32-412.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# qemu-img create -f vpc sluo-data-disk.vhd 127G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=136365211648 
# qemu-img info sluo-data-disk.vhd
image: sluo-data-disk.vhd
file format: vpc
virtual size: 127G (136365219840 bytes)
disk size: 260K
2.# qemu-img create -f vpc sluo-data-disk.vhd 128G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=137438953472 
The image size is too large for file format 'vpc'
3.# qemu-img create -f vpc sluo-data-disk.vhd 130G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=139586437120 
The image size is too large for file format 'vpc'

Actual results:

Expected results:
it could create VHD(X) format disk files over 127GB using qemu-img successfully.

Additional info:
Tried rhel7.0, host info,
# uname -r && rpm -q qemu-kvm
3.10.0-3.el7.x86_64
qemu-kvm-1.5.2-4.el7.x86_64

# qemu-img create -f vpc sluo-data-disk.vhd 130G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=139586437120 
# qemu-img info sluo-data-disk.vhd
image: sluo-data-disk.vhd
file format: vpc
virtual size: 130G (139596710400 bytes)
disk size: 264K

Comment 4 Sibiao Luo 2014-01-27 05:24:00 UTC
Retried it that fail to create VPC file format disk over 2032GB using qemu-img with the latest qemu-kvm version.

host info:
# uname -r && rpm -q qemu-kvm-rhev
2.6.32-425.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.415.el6.x86_64

# qemu-img create -f vpc sluo-data-disk.vhd 2031G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=2180769644544 
# qemu-img create -f vpc sluo-data-disk.vhd 2032G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=2181843386368 

# qemu-img create -f vpc sluo-data-disk.vhd 2033G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=2182917128192 
The image size is too large for file format 'vpc'
# qemu-img create -f vpc sluo-data-disk.vhd 2034G
Formatting 'sluo-data-disk.vhd', fmt=vpc size=2183990870016 
The image size is too large for file format 'vpc'

Best Regards,
sluo

Comment 6 Ademar Reis 2014-06-11 18:40:31 UTC
Corner case on the creation of vpc images. Works on RHEL7, closing as WONTFIX for RHEL6.